﻿using HealthMonitor.Model.Cache;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HealthMonitor.Service.Cache
{
    public class FhrPhrMapCacheManager
    {
        private readonly ILogger<FhrPhrMapCacheManager> _logger;
        public FhrPhrMapCacheManager(ILogger<FhrPhrMapCacheManager> logger )
        { 
            _logger = logger;
        }
        public  List<FhrPhrMap> GetHeartRatesMap()
        {
            return new List<FhrPhrMap>
            {
                new FhrPhrMap(new int[] {12, 20}, new int[] {120, 170}, 162, new int[] {60, 100}, new int[] {50, 80}),
                new FhrPhrMap(new int[] {21, 30}, new int[] {110, 160}, 147, new int[] {60, 100}, new int[] {40, 70}),
                new FhrPhrMap(new int[] {31, 45}, new int[] {110, 160}, 139, new int[] {60, 100}, new int[] {40, 70})
            };
        }
    }
}
