﻿namespace HealthMonitor.Core.Pipeline
{
    /// <summary>
    /// 管道阀门
    /// </summary>
    public interface IValue<T> where T : class
    {
        IValue<T> Next { get; set; }

        Task Invoke(T context);
    }
}
